## org.ascape.runtime
Class NonGraphicRunner

    java.lang.Object
      org.ascape.runtime.Runner
          org.ascape.runtime.NonGraphicRunner

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

Direct Known Subclasses:
  EclipseEscapeRunner

    public class NonGraphicRunner

extends Runner

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.runtime.Runner
`environment`

Constructor Summary
`NonGraphicRunner()`

Method Summary
`void` `closeAndOpenSavedFinally(Scape oldScape)`
`static void` `main(java.lang.String[] args)` Creates, initializes and runs the model specified in the argument.
`void` `saveChoose()` Save the state of the scape to a file.

Methods inherited from class org.ascape.runtime.Runner

`assignEnvironmentParameter, assignEnvironmentParameters, close, closeAndOpenNew, closeAndOpenNewFinally, closeAndOpenSaved, closeFinally, createEnvironment, exit, getData, getDescription, getEarliestPeriod, getEnvironment, getHome, getHTMLDescription, getIteration, getLatestPeriod, getModelThread, getPausePeriod, getPeriod, getPeriodName, getRestartingViews, getRootScape, getStartPeriod, getStopPeriod, initialize, instanceFromName, isAutoRestart, isBeginningDeserializedRun, isCloseAndOpenNewRequested, isCloseAndOpenSavedRequested, isCloseRequested, isDisplayGraphics, isInMainLoop, isMultiWinEnvironment, isOpenRequested, isPaused, isQuitRequested, isRestartRequested, isRunning, isSaveRequested, isServeGraphics, isStartOnOpen, isStep, isValidPeriod, launch, notify, open, open, open, open, open, open, open, open, open, open, open, openChoose, openChoose, openImplementation, openInstance, openSavedChoose, openSavedRun, openSavedRun, openSavedRun, pause, quit, quitFinally, requestRestart, respondControl, restart, resume, run, run, runMainLoop, save, setAutoRestart, setBeginningDeserializedRun, setCloseAndOpenNewRequested, setCloseAndOpenSavedRequested, setCloseRequested, setDescription, setDisplayGraphics, setEarliestPeriod, setEnvironment, setHome, setHTMLDescription, setInMainLoop, setInternalRunning, setIteration, setLatestPeriod, setMultiWinEnvironment, setOpenRequested, setPaused, setPausePeriod, setPeriod, setPeriodName, setQuitRequested, setRestartingViews, setRestartRequested, setRootScape, setRunning, setSaveRequested, setServeGraphics, setStartOnOpen, setStartPeriod, setStep, setStopPeriod, start, stop, testRun, waitForViewsUpdate, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonGraphicRunner

    public NonGraphicRunner()

Method Detail

### closeAndOpenSavedFinally

    public void closeAndOpenSavedFinally(Scape oldScape)

  Specified by:
    `closeAndOpenSavedFinally` in class `Runner`

### saveChoose

    public void saveChoose()

  Description copied from class: `Runner`
  Save the state of the scape to a file.

  Specified by:
    `saveChoose` in class `Runner`

### main

    public static void main(java.lang.String[] args)

  Creates, initializes and runs the model specified in the argument. To allow the running of a model directly from the command line, you should subclass this method as shown below:

           public MyModel extends Model {
               public static void main(String[] args) {
                   (open("mypath.MyModel")).start();
               }
           }

  Otherwise, assuming your classpath is set up correctly, to invoke a model from the command line type:

           java org.ascape.model.Scape mypath.myModel

  Parameters:
    `args` - at index 0; the name of the subclass of this class to run